routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\Auth;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('home');
})->name('home');
Route::get('/lapland', function () {
    return view('lapland');
})->name('lapland');
Route::get('/aurora', function () {
    return view('aurora');
})->name('aurora');
Route::get('/guide', function () {
    return view('guide');
})->name('guide');
Route::get('/contact', function () {
    return view('contact');
})->name('contact');
Route::get('/about', function () {
    return view('about');
})->name('about');
Route::resource('users', 'UserController');
Route::resource('cities', 'CityController');
Route::get('/cities/citiesincountry/{id}', 'CityController@showcitiesincountry')->name('cities.citiesincountry');
Route::get('/users/guidesincity/{id}', 'UserController@showguidesincity')->name('users.guidesincity');
Auth::routes();

app/Annualfee.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Annualfee extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'year', 'date', 'amount', 'user_id'
    ];

    public function user(){
        return $this->belongsTo('App\User');
    }

}

app/City.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class City extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'picture', 'description', 'countrie_id'
    ];

    public function countrie(){
        return $this->belongsTo('App\Countrie');
    }

    public function groups(){
        return $this->belongsToMany('App\Group');
    }

    public function users(){
        return $this->hasMany('App\User');
    }
}

app/Countrie.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Countrie extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name'
    ];

    public function cities(){
        return $this->hasMany('App\City');
    }
}

app/Fee.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Fee extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'year', 'duedate', 'extrafee'
    ];
}

app/Group.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Group extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'description', 'user_id'
    ];

    /**
     * Contact user in case of problem
     */
    public function contactuser(){
        return $this->belongsTo('App\User', 'user_id');
    }

    public function users(){
        return $this->belongsToMany('App\User', 'groups_users');
    }

    public function cities(){
        return $this->belongsToMany('App\City');
    }
}

app/Language.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Language extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name'
    ];

    public function users(){
        return $this->belongsToMany('App\User','languages_users');
    }
}

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'firstname',
        'lastname',
        'street',
        'birthdate',
        'zip',
        'title',
        'description',
        'skills',
        'website',
        'role',
        'profileimage',
        'city_id'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function annualfees(){
        return $this->hasMany('App\Annualfee');
    }

    /**
     * Group where the user is a contact for problem
     */
    public function contactgroups(){
        return $this->hasMany('App\Group');
    }

    public function groups(){
        return $this->belongsToMany('App\Group','groups_users');
    }

    public function languages(){
        return $this->belongsToMany('App\Language', 'languages_users');
    }

    public function city(){
        return $this->belongsTo('App\City');
    }
}

app/Http/Controllers/CityController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class CityController extends Controller
{
    public function index(){
        $cities = \App\City::with('countrie')->get();
        return view('city',compact('cities'));
    }

    public function showcitiesincountry($id){
        $cities = \App\City::with('countrie')->where('countrie_id',$id)->get();
        return view('city',compact('cities'));
    }

    public function create(){

    }
    public function store(){
        
    }
    public function show($id){

    }
    public function update($id){

    }
    public function destroy($id){

    }
    public function edit($id){

    }
}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/UserController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class UserController extends Controller
{
    public function index(){
        $guides = \App\User::with('city')->get();
        return view('guide',compact('guides'));
    }
    public function create(){

    }
    public function store(){
        
    }
    public function show($id){
        $guide = \App\User::find($id)->with('city')->get();
        return view('guide',compact('guides'));
    }
    public function update($id){

    }
    public function destroy($id){

    }
    public function edit($id){

    }
    public function showguidesincity($city){
        $guides = \App\User::with('city')->where('city_id',$city)->get();
        return view('guide',compact('guides'));
    }
}

resources/views/about.blade.php
@extends('layout.app')
@section('title')
About
@endsection

@section('content')
<section class="profile_area">
    <div class="container">
        <div class="profile_inner p_120">
            <div class="row">
                <div class="col-lg-5">
                    <img class="img-fluid" src="{{asset('img/me.jpg')}}" alt="">
                </div>
                <div class="col-lg-7">
                    <div class="personal_text">
                        <h6>Hello Everybody, i am</h6>
                        <h3>Antoine DEBOUT</h3>
                        <h4>IT Engineer | Web Developper</h4>
                        <p>I'm Antoine DEBOUT and I'm 22 (23 on the 27th December). I'm an exchange student from France, and I live now in Tornio for 3 mounths and a half to study in LapinAmk for the Business IT Degree</p>
                        <ul class="list basic_info" style="list-style:none;margin-left:0;padding-left:0;">
                            <li><a href="#"><i class="lnr lnr-calendar-full"></i> 27th December, 1997</a></li>
                            <li><a href="#"><i class="lnr lnr-phone-handset"></i> +33 6 67 77 80 90</a></li>
                            <li><a href="#"><i class="lnr lnr-envelope"></i> antoine.debout.95@gmail.com</a></li>
                            <li><a href="#"><i class="lnr lnr-home"></i>21, Rue de la Friche, 95520 OSNY - FRANCE</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
@endsection

resources/views/aurora.blade.php
@extends('layout.app')
@section('title')
Aurora
@endsection

@section('content')
<div class="jumbotron jumbotron-fluid my-jumbotron">
    <div class="container ">
    <h1 class="display-4">The Northern Lights</h1>
    <p class="lead">One of the most remarkable features of Finland is light. When the endless sunshine of summer gives way to dark winter, the Northern Lights appear like magic and lighten up the sky.

        The further north you go, the greater the chances of spotting the Aurora Borealis – in Finnish Lapland they can appear on 200 nights a year. In Helsinki and the south, the Aurorae can be seen on roughly 20 nights a winter, away from city lights.</p>
    </div>
</div>
<div class="container aurora-container">
    <div class="gallery-aurora">
        <figure class="gallery_aurora_item gallery_aurora_item_1">
            <img src="{{asset('img/aurora/1.jpg')}}" class="gallery_aurora_img" alt="Img 1">
        </figure>
        <figure class="gallery_aurora_item gallery_aurora_item_2">
            <img src="{{asset('img/aurora/2.gif')}}" class="gallery_aurora_img" alt="Img 2">
        </figure>
        <figure class="gallery_aurora_item gallery_aurora_item_3">
            <img src="{{asset('img/aurora/3.jpg')}}" class="gallery_aurora_img" alt="Img 3">
        </figure>
        <figure class="gallery_aurora_item gallery_aurora_item_4">
            <img src="{{asset('img/aurora/4.jpg')}}" class="gallery_aurora_img" alt="Img 4">
        </figure>
        <figure class="gallery_aurora_item gallery_aurora_item_5">
            <img src="{{asset('img/aurora/5.gif')}}" class="gallery_aurora_img" alt="Img 5">
        </figure>
        <figure class="gallery_aurora_item gallery_aurora_item_6">
            <img src="{{asset('img/aurora/6.jpg')}}" class="gallery_aurora_img" alt="Img 6">
        </figure>
    </div>
</div>
@endsection

resources/views/city.blade.php
@extends('layout.app')
@section('title')
Cities
@endsection

@section('content')
<div class="container mycontainer">
    <div class="row">
        @forelse($cities as $city)
            <div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-4">
                <div class="card" style="margin-bottom:4.5em;">
                <img src="{{ asset('img/cities/'.$city->picture) }}" class="card-img-top" alt="..." width="300" height="300">
                    <div class="card-body">
                        <h3 class="card-title">{{ $city->name }}</h3>
                        <a href="{{ route('cities.citiesincountry', ['id' => $city->countrie->id])}}"><h4 class="card-subtitle text-muted">{{ $city->countrie->name }}</h4></a>
                        <p class="card-text p-y-1">{{ $city->description }}</p>
                        <a href="{{ route('users.guidesincity', ['id' => $city->id])}}" class="btn btn-secondary" style="width:100%;"><span class="lnr lnr-eye"></span> Show Guides</a>
                    </div>
                </div>
            </div>
        @empty
        <div class="alert alert-warning" style="width:100%;" role="alert">
            Aucune ville pour le moment.
        </div>
        @endforelse
    </div>
</div>
@endsection

resources/views/contact.blade.php
@extends('layout.app')
@section('title')
Contact
@endsection

@section('content')
<div class="container mycontainer">
    <div class="row">
        <div class="col-xl-5 mx-auto">
        <h2>Contact</h2>
        <div class="form-area"> 
            <form role="form" action="#">
            <br style="clear:both">
                <div class="form-group">
                    <input type="text" class="form-control" id="name" name="name" placeholder="Your Name" required>
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" id="firstname" name="firstname" placeholder="Your Firstname" required>
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" id="email" name="email" placeholder="Your Email" required>
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" id="mobile" name="mobile" placeholder="Your Number">
                </div>
                <div class="form-group">
                    <input type="text" class="form-control" id="subject" name="subject" placeholder="Your Object" required>
                </div>
                <div class="form-group">
                <textarea class="form-control" type="textarea" id="message" placeholder="Your Message" maxlength="140" rows="7" required></textarea>                 
                </div>
                <button type="button" name="submit" class="btn btn-dark pull-left"><span class="lnr lnr-envelope"></span> Send Message</button>
                <small id="helpButton" class="form-text text-muted">This features is not enabled yet</small>
            </form>
        </div>
        </div>
        <br/>
        <div class="col-xl-5 mx-auto">
            <div class="row contact_location">
                <h2>Map of our location</h2><br/>
                <div style="width: 100%" class="maps-card"><iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d1632.2428451270107!2d24.137089316364474!3d65.85156067899015!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x45d547775acfd3e5%3A0xcc881a0192e7f192!2sLapland%20University%20of%20Applied%20Sciences%20Minerva!5e0!3m2!1sfr!2sfi!4v1570616806126!5m2!1sfr!2sfi" width="100%" height="250" frameborder="0" style="border:0;" allowfullscreen=""></iframe></div><br />
            </div>
            <div class="row">
                <div class="col-sm-12 mx-auto contact_info">
                <h2>Information contact</h2><br/>
                <ul class="list-group list-group-flush contact-list-style">
                    <li class="list-group-item"><img src="{{asset('img/icon/house.png')}}" width="20" height="20"><span>Kauppakatu 58, 95400 Tornio</span></li>
                    <li class="list-group-item"><img src="{{asset('img/icon/email.png')}}" width="20" height="20"><span>antoine.debout@edu.lapinamk.fi</span></li>
                    <li class="list-group-item"><img src="{{asset('img/icon/telephone.png')}}" width="20" height="20"><span>+358 020 7986000</span></li>
                    <li class="list-group-item"><img src="{{asset('img/icon/hour.png')}}" width="20" height="20"><span>Mon - Fri | 9:00 - 17:00</span></li>
                </ul>
                </div>
            </div>
            
        </div>
    </div>
</div>
@endsection

resources/views/guide.blade.php
@extends('layout.app')
@section('title')
Guides
@endsection

@section('content')
<section>
    <div class="container card-guide-container">
        @forelse ($guides as $guide)
            <!-- Faire un appel dans le controlleur pour récuperer memberlangage et membergroup -->
            <div class="col-12 col-sm-12 col-md-12 col-lg-4 col-xl-4">
                <div class="flip-guide-card">
                        <div class="flip-content">
                            <div class="flip-content-front">
                                <div class="card">
                                    <img src="{{ asset('img/guides/'.$guide->profileimage) }}" class="card-img-top" alt="..." width="300" height="300">
                                    <div class="card-body">
                                        <h4 class="card-title">{{ $guide->name }}</h4>
                                        <h6 class="card-subtitle text-muted">{{ $guide->title }}</h6>
                                        <p class="card-text p-y-1">{{ $guide->description }}</p>
                                    </div>
                                </div>
                            </div>
                            <div class="flip-content-back flip-content-back-{{ $guide->id }}" >
                                <h1>{{ $guide->name }}</h1>
                                <br/>
                                <ul class="list-group list-group-flush contact-list-style">
                                    <li class="list-group-item list-group-guide"><img src="{{ asset('img/icon/house.png') }}" width="20" height="20"><span>{{ $guide->street }}, {{ $guide->zip }} {{ $guide->id }}</span></li>
                                    <li class="list-group-item list-group-guide"><img src="{{ asset('img/icon/email.png') }}" width="20" height="20"><span>{{ $guide->email }}</span></li>
                                    <li class="list-group-item list-group-guide"><img src="{{ asset('img/icon/telephone.png') }}" width="20" height="20"><span>{{ $guide->phone }}</span></li>
                                    <li class="list-group-item list-group-guide"><img src="{{ asset('img/icon/euro.png') }}" width="20" height="20"><span>{{ $guide->tarif }}</span></li>
                                    <li class="list-group-item list-group-guide"><img src="{{ asset('img/icon/language.png') }}" width="20" height="20">
                                        <span>
                                            @forelse($guide->languages as $l)
                                                {{ $l->name }}
                                            @empty
                                                This guide speaks no forein language
                                            @endforelse
                                        </span>
                                    </li>
                                </ul><br>
                                <img src="{{ asset('img/guides/qr.png') }}" width="80" height="80" data-toggle="modal" data-target="#modal-box-{{ $guide->id }}">
                            </div>
                        </div>
                </div>
            </div>

            <div class="modal fade" id="modal-box-{{ $guide->id }}" tabindex="-1" role="dialog" aria-labelledby="modal-box-{{ $guide->id }}" aria-hidden="true">
                    <div class="modal-dialog modal-dialog-centered modal-lg modal-back-guide" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                        <h5 class="modal-title" id="modal-box-{{ $guide->id }}">{{ $guide->name }} - Guide n°{{ $guide->id }}</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        </div>
                        <div class="modal-body modal-body-class">
                            <img src="{{ asset('img/guides/'.$guide->profileimage) }}" class="card-img-top img-card-back" alt="...">
                            <p><ul class="list-group list-group-flush ">
                                <li class="list-group-item modal-card-back"><img src="{{ asset('img/icon/cake.png') }}" width="30" height="30"><span>{{ $guide->birthdate }}</span></li>
                                <li class="list-group-item modal-card-back"><img src="{{ asset('img/icon/profession.png') }}" width="30" height="30"><span>{{ $guide->job }}</span></li>
                                <li class="list-group-item modal-card-back"><img src="{{ asset('img/icon/hobbies.png') }}" width="30" height="30"><span>{{ $guide->skills }}</span></li>
                                <li class="list-group-item modal-card-back"><img src="{{ asset('img/icon/web.png') }}" width="30" height="30"><span>{{ $guide->website }}</span></li>
                                <li class="list-group-item modal-card-back"><img src="{{ asset('img/icon/group.png') }}" width="30" height="30">
                                    <span>
                                        @forelse($guide->groups as $g)
                                            {{ $g->name }}
                                        @empty
                                            This guide is not in any group
                                        @endforelse
                                    </span>
                                </li>
                            </ul></p>
                        </div>
                        <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                        </div>
                    </div>
                    </div>
                </div>
        @empty
        <div class="alert alert-warning" style="width:100%;" role="alert">
            Aucun guide pour le moment.
        </div>
        @endforelse
    </div>
</section>
@endsection

resources/views/home.blade.php
@extends('layout.app')

@section('title')
Homepage
@endsection

@section('content')
<div class="body-index">
    <section>
        <div class="container container-text-index">
            <div class="row">
            <div class="col-lg-8">
                <h1 class="mt-4">Welcome on the Lapland Website</h1>
                <p>Almost uninhabited, covered with vast wilderness, Finnish Lapland is one of the most unique landscapes in Europe, both in summer, under the midnight sun, and in winter, in the blue darkness of the permanent night. . With a few precautions, you will enjoy the beauties of a virgin nature of Finnish Lapland, with unsuspected wealth.</p>
                <a href="{{url('lapland')}}" class="btn btn-secondary btn-block  active" role="button" aria-pressed="true">More about Lapland...</a>
            </div>
            </div>
        </div>
    </section>
</div>
@endsection

resources/views/lapland.blade.php
@extends('layout.app')
@section('title')
Lapland
@endsection

@section('content')
<div class="jumbotron jumbotron-fluid my-jumbotron jumbotron-lapland">
    <div class="container ">
    <h1 class="display-4">Lapland - Finland</h1>
    <p class="lead">Lapland is the most northerly region of Finland. Sparsely populated, it borders Sweden, Norway, Russia and the Baltic Sea. It is known for its vast subarctic wilderness, ski resorts and various natural phenomena such as the midnight sun and the aurora borealis. Its capital, Rovaniemi, is the gateway to the region. The homeland of the indigenous Sami people, which extends to neighboring countries, is at the far north.</p>
    </div>
</div>
        
<section class="showcase">
    <div class="container-fluid p-0">
        <div class="row no-gutters">
        <div class="col-lg-6 order-lg-2 text-white showcase-img" style="background-image: url('img/finland-carousel/6.jpg');"></div>
        <div class="col-lg-6 order-lg-1 my-auto showcase-text">
            <h2>AURORA BOREALIS</h2>
            <p class="lead mb-0">How do the Northern Lights come about? Sami legend says a Fox runs across the Arctic fells and lights up the sky with sparks flying from its tail, whirling up the snow. The modern Finnish term “revontulet”, the fox’s fires, derives from this myth. A scientist’s explanation to the phenomenon would be something like “the solar wind sends charged particles towards the Earth, and upon colliding with its atmosphere they produce energy given off as light”. We prefer the Sami myth.</p>
        </div>
        </div>
        <div class="row no-gutters">
        <div class="col-lg-6 text-white showcase-img" style="background-image: url('img/finland-carousel/4.jpg');"></div>
        <div class="col-lg-6 my-auto showcase-text">
            <h2>HIT THE ROAD</h2>
            <p class="lead mb-0">Santa and Rudolph are an inseparable team, keeping one another company as they travel over rugged fells and through freshly fallen snow.

                It’s essential for Santa’s reindeer to stock up on energy before Christmas Eve, and lichen works wonders. A visit to Santa’s office could end with you stroking the fur of a real reindeer – just be sure to keep an eye open for the one with a red nose.</p>
        </div>
        </div>
        <div class="row no-gutters">
        <div class="col-lg-6 order-lg-2 text-white showcase-img" style="background-image: url('img/finland-carousel/5.jpg');"></div>
        <div class="col-lg-6 order-lg-1 my-auto showcase-text">
            <h2>LAND OF A THOUSAND LAKES</h2>
            <p class="lead mb-0">Taking a trip to Lakeland is like taking a trip into the heart of Finnish identity. One of the most important birthplaces of the Finnish identity are the deep green forests, the rolling hills and the glittering lakes that cover most of central Finland. Water is a very important element for the Finns. Here, not only the homes, but also millions of saunas and cozy cottages are located close to the water. Finns simply enjoy a life by the water and if you look at the map – who wouldn’t in a land mostly made of it?</p>
        </div>
        </div>
        <div class="row no-gutters">
            <div class="col-lg-6 text-white showcase-img" style="background-image: url('img/finland-carousel/7.jpg');"></div>
            <div class="col-lg-6 my-auto showcase-text">
            <h2>MIDNIGHT SUN</h2>
            <p class="lead mb-0">In the summer Finnish Lapland bathes in 24-hour sunlight for nearly three months. It is an incredible contrast to the darkest winter months when there is no sun at all. “Midnight sun”, as this phenomenon is called, calls for many activities such as hiking on the beautiful fells or visiting cultural events such as the Midnight Sun Film Festival in Sodankylä.</p>
            </div>
        </div>
        <div class="row no-gutters">
            <div class="col-lg-6 order-lg-2 text-white showcase-img" style="background-image: url('img/finland-carousel/8.jpg');"></div>
            <div class="col-lg-6 order-lg-1 my-auto showcase-text">
            <h2>THE SAMI</h2>
            <p class="lead mb-0">The Sámi are the only indigenous people of the European Union, residing in the Northern parts of Finland, Norway and Sweden as well as in parts of North-Eastern Russia. In Finland, the Sámi population is approximately 6 000 strong, and the preservation of their endangered language and culture is governed by an autonomous parliament of Inari, Finland.</p>
            </div>
        </div>
        <div class="row no-gutters">
            <div class="col-lg-6  text-white showcase-img" style="background-image: url('img/finland-carousel/9.jpg');"></div>
            <div class="col-lg-6  my-auto showcase-text">
                <h2>SANTA CLAUS</h2>
                <p class="lead mb-0">Everyone knows the one and only Santa Claus is Finnish and lives in Lapland. However, as the exact location of his hideaway is not known, it is best to head to his Rovaniemi office. This is where he greets visitors all year round.</p>
            </div>
            </div>
    </div>
</section>
@endsection

resources/views/layout/app.blade.php
<!DOCTYPE html>
<html lang="fr">
    <head>
        <title>GuideBook - @yield('title')</title>
        <meta charset="UTF-8">
        <meta name="description" content="Default Layout">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="author" content="Antoine DEBOUT">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
        <link rel="stylesheet" type="text/css" href="{{ asset('css/mystyle.css') }}" >
        <link rel="stylesheet" type="text/css" href="{{ asset('css/font-awesome.min.css') }}" >
        <link rel="stylesheet" href="https://cdn.linearicons.com/free/1.0.0/icon-font.min.css">
    </head>
    <body>
        @section('sidebar')
            <nav class="navbar navbar-expand-lg navbar-dark static-top mynavclass">
                    <div class="container">
                    <a class="navbar-brand" href="{{ url('/') }}"><img src="{{ asset('img/logo.png') }}"  width="45px" height="40px" style="padding-right:10px;"/>< GUIDE.BOOK /></a>
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarResponsive">
                        <ul class="navbar-nav ml-auto">
                        <li>
                            <a class="nav-link" href="{{ url('lapland') }}">Lapland</a>
                        </li>
                        <li>
                            <a class="nav-link" href="{{ url('aurora') }}">Auroras</a>
                        </li>
                        <li>
                            <a class="nav-link" href="{{ route('users.index') }}">Guides</a>
                        </li>
                        <li>
                            <a class="nav-link" href="{{ route('cities.index') }}">Cities</a>
                        </li>
                        <li>
                            <a class="nav-link" href="{{ url('contact') }}">Contact</a>
                        </li>
                        <li>
                            <a class="nav-link" href="{{ url('about') }}">About</a>
                        </li>
                        <li>
                            <a class="nav-link" href="#">Login</a>
                        </li>
                        </ul>
                    </div>
                    </div>
            </nav>
        @show

        @yield('content')


        <footer id="sticky-footer" class="py-4 bg-dark" style="color:white">
            <div class="container text-center">
              <small>Copyright &copy; Antoine DEBOUT</small>
            </div>
        </footer>
    </body>

    
</html>